Subject: Re: [PATCH 2/6] e1000e: remove namespace collisions with e1000

From: "Kok, Auke" <[email-masked]>
Date: Tue, 14 Aug 2007 14:22:15 -0700

Rick Jones wrote:
>> if you grep around this effort was already started using the 'e1e_' 
>> prefix.  I like the shorter prefix, but your call ultimately.  Either 
>> way, make sure to make the driver consistent there too.
> 
> should it then be consistent with the overall driver name too? 
> certainly calling things e1e or e1ke  or heck, even elke if one wanted 
> to be a triffle playful would certainly help distinguish this driver 
> from its grandfather.

I think we are passed the time for the name-a-driver raffle now. We've informed 
a lot of people that the name will be "e1000e", so I definately prefer using 
this internally as well.

As for the e1000_get_speed_and_duplex_fiber_serdes long names, those are an 
eyesore to me as well...

Auke